export type BlurMode = BlurModeFast | BlurModeSlow;

export interface BlurModeFast {
  /**
   * Blur Type
   *
   * @description
   * Query Param: blur
   * Query Param Value: fast
   */
  type: "fast";
}

export interface BlurModeSlow {
  /**
   * Blur Strength
   *
   * @description
   * Query Param: blur
   *
   * @isInt
   * @minimum 1
   * @maximum 100
   */
  percentage: number;

  /**
   * Blur Type
   */
  type: "slow";
}
