export type ImageCropStrategy =
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: smart
       * Query Param Precedence: 0
       */
      type: "smartAttention";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: smart-entropy
       * Query Param Precedence: 1
       */
      type: "smartEntropy";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: center
       * Query Param Precedence: 2
       */
      type: "fixedCenter";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: top
       * Query Param Precedence: 3
       */
      type: "fixedTop";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: top-left
       * Query Param Precedence: 4
       */
      type: "fixedTopLeft";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: top-right
       * Query Param Precedence: 5
       */
      type: "fixedTopRight";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: bottom
       * Query Param Precedence: 6
       */
      type: "fixedBottom";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: bottom-left
       * Query Param Precedence: 7
       */
      type: "fixedBottomLeft";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: bottom-right
       * Query Param Precedence: 8
       */
      type: "fixedBottomRight";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: left
       * Query Param Precedence: 9
       */
      type: "fixedLeft";
    }
  | {
      /**
       * @description
       * Query Param: crop
       * Query Param Value: right
       * Query Param Precedence: 10
       */
      type: "fixedRight";
    };
