import { SupportedOutputFormat } from "upload-image-plugin/params/SupportedOutputFormat";
import { ImagePipelineStep } from "upload-image-plugin/params/ImagePipelineStep";
import { OutputQuality } from "upload-image-plugin/params/OutputQuality";

export interface ImagePipeline {
  /**
   * Output format
   *
   * @description
   * Query Param: f
   */
  outputFormat: SupportedOutputFormat | undefined;

  /**
   * Output quality
   *
   * @description
   * Query Param: q
   */
  outputQuality: OutputQuality | undefined;

  /**
   * Steps
   */
  steps: ImagePipelineStep[];
}
