import { ColorRGBA } from "upload-image-plugin/params/ColorRGBA";

export type RotateMode = RotateModeAuto | RotateModeManual;

export interface RotateModeAuto {
  /**
   * Rotate Type
   *
   * @description
   * Query Param: rotate
   * Query Param Value: auto
   */
  type: "automatic";
}

export interface RotateModeManual {
  /**
   * Background Color
   *
   * @description
   * Query Param: rotate-bg
   *
   * @default "#00000000"
   */
  backgroundColor: ColorRGBA;

  /**
   * Rotate Degrees
   *
   * @description
   * Query Param: rotate
   *
   * @isInt
   * @minimum 0
   * @maximum 360
   */
  degrees: number;

  /**
   * Rotate Mode
   */
  type: "manual";
}
