export type SharpenMode = SharpenModeFast | SharpenModeSlow;

export interface SharpenModeFast {
  /**
   * Sharpen Type
   *
   * @description
   * Query Param: sharpen
   * Query Param Value: fast
   */
  type: "fast";
}

export interface SharpenModeSlow {
  /**
   * Sharpen Strength
   *
   * @description
   * Query Param: sharpen
   *
   * @isInt
   * @minimum 1
   * @maximum 100
   */
  percentage: number;

  /**
   * Sharpen Type
   */
  type: "slow";
}
